{{- $data := (dict "root" . "app" "nginx") }}
{{- $svc := .Values.nginx }}
apiVersion: v1
kind: Service
metadata:
  name: {{ $data.app }}
  labels:
    {{- include "helm-example.labels" $data | nindent 4 }}
spec:
  type: {{ $svc.service.type }}
  ports:
    - port: {{ $svc.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "helm-example.selectorLabels" $data | nindent 4 }}